| Unuk 1.0

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions
Win32Window Class Reference

`#include <Win32Window.h>`

List of all members.

## Public Member Functions
| Win32Window (HINSTANCE hInstance)
| ~Win32Window (void)
bool | Create (int width, int height, int bpp, bool fullscreen)
void | Destroy ()
void | ProcessEvents ()
void | AttachGame (Game *game)
bool | IsRunning ()
void | SwapBuffers ()
LRESULT CALLBACK | WndProc (HWND hWnd, UINT msg, WPARAM wParam, LPARAM lParam)
float | GetElapsedSeconds ()
## Static Public Member Functions
static LRESULT CALLBACK | StaticWndProc (HWND hWnd, UINT msg, WPARAM wParam, LPARAM lParam)

## Detailed Description

Definition at line 8 of file Win32Window.h.

## Constructor & Destructor Documentation

Win32Window::Win32Window | ( | HINSTANCE | hInstance | ) |

Definition at line 12 of file Win32Window.cpp.

Win32Window::~Win32Window | ( | void |  | ) |

Definition at line 19 of file Win32Window.cpp.

## Member Function Documentation

void Win32Window::AttachGame | ( | Game * | game | ) |

Definition at line 114 of file Win32Window.cpp.

bool Win32Window::Create | ( | int | width,
|  | int | height,
|  | int | bpp,
|  | bool | fullscreen
| ) |  |

Definition at line 23 of file Win32Window.cpp.

void Win32Window::Destroy | ( | void |  | ) |

Definition at line 106 of file Win32Window.cpp.

float Win32Window::GetElapsedSeconds | ( |  | ) |

bool Win32Window::IsRunning | ( | void |  | ) |

Definition at line 118 of file Win32Window.cpp.

void Win32Window::ProcessEvents | ( |  | ) |

LRESULT CALLBACK Win32Window::StaticWndProc | ( | HWND | hWnd,
|  | UINT | msg,
|  | WPARAM | wParam,
|  | LPARAM | lParam
| ) |  | `[static]`

Definition at line 225 of file Win32Window.cpp.

void Win32Window::SwapBuffers | ( |  | ) | `[inline]`

Definition at line 22 of file Win32Window.h.

LRESULT Win32Window::WndProc | ( | HWND | hWnd,
|  | UINT | msg,
|  | WPARAM | wParam,
|  | LPARAM | lParam
| ) |  |

Definition at line 161 of file Win32Window.cpp.

The documentation for this class was generated from the following files:

- src/libUnuk/Win32Window.h
- src/libUnuk/Win32Window.cpp

All Classes Files Functions Variables Typedefs Enumerations Enumerator Defines